package com.zcloud.zcGbsServicer.api;

import com.zcloud.zcGbsServicer.dto.ResourcePersonAddCmd;
import com.zcloud.zcGbsServicer.dto.ResourcePersonPageQry;
import com.zcloud.zcGbsServicer.dto.ResourcePersonUpdateCmd;
import com.zcloud.zcGbsServicer.dto.clientobject.ResourcePersonCO;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

/**
* web-client
* @Author makejava
* @Date 2026-01-21 17:23:34
*/
public interface ResourcePersonServiceI {
    PageResponse<ResourcePersonCO> listPage(ResourcePersonPageQry qry);

    SingleResponse<ResourcePersonCO> add(ResourcePersonAddCmd cmd);

    void edit(ResourcePersonUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}

